﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TagLib;

namespace MP3Player
{
    class Song
    {
        private File taglibInstance;
        private String _filename;

        public Song(String filename)
        {
            taglibInstance = File.Create(filename);
            _filename = filename;
        }

        public String Filename
        {
            get { return _filename; }
        }

        public override string ToString()
        {
            string title = taglibInstance.Tag.Track + ": " + taglibInstance.Tag.Album + " - " + taglibInstance.Tag.Title;
            if (String.IsNullOrEmpty(taglibInstance.Tag.Title))
                return new Stack<String>(Filename.Split('\\')).Pop();
            return title;
        }
    }
}
